import Vue from 'vue'
import Router from 'vue-router'

import mainPage from './mainPage/index' // 主页
import indexPage from './mainPage/indexPage/index' // 首页
import fiveA from './fiveA/index' // 5A
import coffeeIndex from './mainPage/coffeeIndex/index' // 城咖啡
import userCenter from './mainPage/userCenter/index' // 个人中心

Vue.use(Router)

const router = new Router({
  routes: [{
    path: '/mainPage',
    name: 'mainPage',
    component: mainPage,
    children: [{ // 首页
      path: 'indexPage',
      name: 'indexPage',
      component: indexPage,
      children: []
    },{ // 城咖啡
      path: 'coffeeIndex',
      name: 'coffeeIndex',
      component: coffeeIndex,
      children: []
    },{ // 个人中心
      path: 'userCenter',
      name: 'userCenter',
      component: userCenter,
      children: []
    }]
  },{ // 5A
    path: '/fiveA',
    name: 'fiveA',
    component: fiveA,
    children: []
  }],
  linkActiveClass: 'active',
})

router.beforeEach((to, from, next) => {
  
  next()
})

export default router
